commit: da326e22c2b187927f20c33c1d11e6b3f552a4e7
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu May 17 21:52:27 2018 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu May 17 22:01:53 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da326e22
dev-python/tqdm: version bump.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-python/tqdm/Manifest | 1 +
dev-python/tqdm/tqdm-4.23.3.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index ca5bc4b7330..7457f13423e 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -1,3 +1,4 @@
DIST tqdm-4.10.0.tar.gz 615329 BLAKE2B
59cc8db43281a22cabfb895f81c3b6f3cf4e62e67e725ae0a7137497337fea492787f7154e99fa3601f39c1b2e4ddafa5911b6a80ebac6e4e4e7f3c6575d09d5
SHA512
5c7719e13f57cf7f42e81e2514ae4db5cf72b010ead25aa8bcd4ad0037e0a374bf353c15f43f4b64337142f3c2562b952b5e18aea70634c9b11d6b82af51546e
DIST tqdm-4.19.4.tar.gz 72037 BLAKE2B
5f2ed14b6f72f16e141dd47d30559e694398420de97b7bea67e6cc10b75288a3829f206fe4b8e7965a95cb93a7bd2d70a073c35a310b0e94eca68600d0cf67b1
SHA512
56d1f2cd8f7a56964611f0399c6f8f6c64740428e38ebde6778397340b57787a3409de2755269c1a26db38cd85ddf3c90636a36d742eb2b51d8736e5ad6c5989
DIST tqdm-4.19.8.tar.gz 73140 BLAKE2B
05147ed8458233808d30b8548b8b46fba0cd8ff117e085677418060a286e99ca5d6970e1dfd8e3206d1a95502f46afb27b528cc635ed98491f28668443184d86
SHA512
b375971384fba11ef8b73a504f1415795244324f2ba3e2fe9c5fdf4c367f070c0026e97bbb546c7bb20badd00a9755b910f3992fe4baf21365c162b7f3e48ecd
+DIST tqdm-4.23.3.tar.gz 75941 BLAKE2B
9e5810765e8f7ea4f54b0f93f453d278d5ad4b1710f1476a6f00ff2e513789585e97dcd5a8331fe69d3593b18affd50bf9bf51cbaed29ecd68d4efad9318aa31
SHA512
40c853b7cf7611ba2ef7652417c0d42ea4392f5ea9cbe319dbb9e3dd063594e5c637fb5d13f77935fb9a034d395b28fa9480fec1c6cca1852644add4ac18cce8
diff --git a/dev-python/tqdm/tqdm-4.23.3.ebuild
b/dev-python/tqdm/tqdm-4.23.3.ebuild
new file mode 100644
index 00000000000..fd3e7a7aba0
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.23.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+SRC_URI="https://github.com/tqdm/tqdm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s#man/man1#share/man/man1#" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}